Bug 11417 - suExec wrapper doesn't work
suExec wrapper doesn't work
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
6.2
sparc Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-15 06:28 EDT by Joerg Dorchain
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-16 04:28:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joerg Dorchain 2000-05-15 06:28:35 EDT
The /usr/sbin/suexec program is installed by the 1.3.12-2 apache-rpm with
modes set to 711. In this case (viewable with httpd -l) suexec isn't used
(which would be senseless).
If you change permissions by hand to 4711, it works.
Comment 1 Pekka Savola 2000-05-15 18:40:59 EDT
This is the default suExec installation behaviour.  If you don't know what
you're doing, you are better off leaving suExec disabled.  This way it can be
installed safely, but enabled only with administrator's intervention.

I don't know if Redhat would want to enable it by default though.
Comment 2 Joerg Dorchain 2000-05-16 04:28:59 EDT
In this case mention the intention with it somewhere noticeably, please (e.g. a
short line in the rpm description tag)
Comment 3 Nalin Dahyabhai 2000-07-10 16:12:49 EDT
The manual (http://localhost/manual/suexec.html) describes SuExec
operation better than a blurb in the package description ever could
without becoming atypically long.
Comment 4 Joerg Dorchain 2000-07-11 04:15:28 EDT
I wanted to propose a pointer to the location of the manual section, like "For
suxec to work see ...."

Note You need to log in before you can comment on or make changes to this bug.